%global commit 97b8cf3d7abb33aa664cf09aae826362730eef87
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:          laditools
Summary:       Set of tools to control and monitor LADI system
Version:       1.1.0
Release:       2.20160307git%{shortcommit}%{?dist}
License:       GPLv3+
URL:           https://github.com/alessio/laditools
Source0:       https://github.com/alessio/%{name}/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz
# remove python shebangs
Patch0:        laditools-no-shebang.patch
BuildArch:     noarch

BuildRequires: /usr/bin/rsvg-convert
BuildRequires: python2-devel
BuildRequires: intltool
BuildRequires: python2-distutils-extra
BuildRequires: librsvg2
BuildRequires: desktop-file-utils
Requires:      a2jmidid
Requires:      hicolor-icon-theme
Requires:      jack-audio-connection-kit-dbus
Requires:      python2-enum34
Requires:      python2-pyxdg

%description
LADITools is a set of tools aiming to achieve the goals of the LADI 
project to improve desktop integration and user workflow of Linux 
audio system based on JACK and ladish. Those tools take advantage of 
the D-Bus interfaces recently added to JACK and ladish to ease the 
configuration and use of those two great softwares.

%prep
%setup -q -n %{name}-%{commit}
%patch0 -p1

%build

%install
%{__python2} setup.py install --prefix=%{buildroot}%{_prefix}
%find_lang %{name}

for i in `ls %{buildroot}%{_datadir}/applications/*.desktop` ; do \
    desktop-file-validate $i;
done;


%files -f %{name}.lang
%license COPYING
%doc AUTHORS NEWS README.md
%{_bindir}/g15ladi
%{_bindir}/ladi-control-center
%{_bindir}/ladi-player
%{_bindir}/ladi-system-tray
%{_bindir}/ladi-system-log
%{_bindir}/wmladi
%{python2_sitelib}/laditools/
%{python2_sitelib}/laditools-*.egg-info
%{_datadir}/applications/ladi-system-tray.desktop
%{_datadir}/applications/ladi-control-center.desktop
%{_datadir}/applications/ladi-system-log.desktop
%{_datadir}/applications/ladi-player.desktop
%{_datadir}/laditools/*
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/icons/hicolor/*/status/*
%{_mandir}/man1/%{name}.1.*

%changelog
* Mon May  6 2019 Orion Poplawski <orion@nwra.com> - 1.1.0-2.20160307git97b8cf3
- Add requires python2-pyxdg (bugz#1599929)

* Mon May  6 2019 Orion Poplawski <orion@nwra.com> - 1.1.0-1.20160307git97b8cf3
- Update to latest git (bugz#1675246)

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Jan 15 2018 Iryna Shcherbina <ishcherb@redhat.com> - 1.0.1-16
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Thu Jan 11 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.1-15
- Remove obsolete scriptlets

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-12
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Aug 13 2013 Ralf Corsépius <corsepiu@fedoraproject.org> - 1.0.1-8
- Add BR: /usr/bin/rsvg-convert (Fix FTBFS RHBZ #992030).

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Oct 14 2012 Brendan Jones <brendan.jones.it@gmail.com> 1.0.1-5
- Correct license 

* Sun Oct 14 2012 Brendan Jones <brendan.jones.it@gmail.com> 1.0.1-4
- Add python build requires

* Sun Oct 14 2012 Brendan Jones <brendan.jones.it@gmail.com> 1.0.1-3
- Add mising desktop-file-utils and python-enum

* Sun Jun 03 2012 Brendan Jones <brendan.jones.it@gmail.com> 1.0.1-2
- Add requires and scriptlets

* Sat Jun 02 2012 Brendan Jones <brendan.jones.it@gmail.com> 1.0.1-1
- initial build
